/*
   ForNextTest.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2012. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 21
   Example of using a for/next loop to loop through the fieldnames of
   a table.
*/

dSample = new database()
dSample.databaseName := "DBASESAMPLES"
dSample.active       := true

qFish = new query()
qFish.database := dSample
qFish.sql      := "select * from fish"
qFish.active   := true
// set the index:
qFish.rowset.indexName := "name"
// go to the first row:
qFish.rowset.first()

// get a list of fieldnames:
local i
for i = 1 to qFish.rowset.fields.size
    ? qFish.rowset.fields[ i ].fieldName
next
		
// some cleanup:
qFish.active := false
release object qFish
dSample.active := false
release object dSample
